Subject: bug#3418: Issue with compile.el and compilation-parse-errors-filename-function

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Jan 2016 18:08:50 +0200

> Date: Tue, 26 Jan 2016 10:15:27 -0500 (EST)
> From: Gary Oberbrunner <[email-masked]>
> Cc: Andrew Hyatt <[email-masked]>, [email-masked]
> 
> Wow, a blast from the past! 

Better late than never, right?

> I am totally happy with soln 1. For all I know, since I added that hook I might be the only one using it. :-) But I'm also usually a stickler for backward compatibility, so that's why I brought it up.

But if we make the additional argument optional, the backward
compatibility is preserved, right?  Or did I miss something?